﻿namespace Connected.Data.Schema;

public interface ISchemaMiddleware : IMiddleware
{
	Task<bool> IsEntitySupported(Type entity);
	Task Synchronize(Type entity, ISchema schema);
	Type ConnectionType { get; }
	string DefaultConnectionString { get; }
}
