﻿using System.Collections.Immutable;

namespace Connected.Configuration
{
	internal class DatabaseConfiguration : IDatabaseConfiguration
	{
		private List<string> _shards;

		public DatabaseConfiguration()
		{
			/*
			 * TODO: read from config
			 */
			DefaultConnectionString = "server=PIT-ZBOOK\\sqlexpress; database=connected; trusted_connection=true;TrustServerCertificate=True;multiple active result sets=true";

			_shards = new();
		}

		public string? DefaultConnectionString { get; init; }

		public ImmutableList<string> Shards => _shards.ToImmutableList();
	}
}
